Add a missing #include that's needed for call to FXSYS_tolower.
[pdfium.git] / core / src / fxge / android / fpf_skiamodule.h
index 4f1c119..5d1da7b 100644 (file)
@@ -8,13 +8,19 @@
 #define CORE_SRC_FXGE_ANDROID_FPF_SKIAMODULE_H_
 
 #if _FX_OS_ == _FX_ANDROID_
+
+#include "../../../include/fxge/fpf.h"
+
 class CFPF_SkiaFontMgr;
+
 class CFPF_SkiaDeviceModule : public IFPF_DeviceModule {
  public:
-  CFPF_SkiaDeviceModule() : m_pFontMgr(NULL) {}
-  virtual ~CFPF_SkiaDeviceModule();
-  virtual void Destroy();
-  virtual IFPF_FontMgr* GetFontMgr();
+  CFPF_SkiaDeviceModule() : m_pFontMgr(nullptr) {}
+  ~CFPF_SkiaDeviceModule() override;
+
+  // IFPF_DeviceModule
+  void Destroy() override;
+  IFPF_FontMgr* GetFontMgr() override;
 
  protected:
   CFPF_SkiaFontMgr* m_pFontMgr;